import { Doc } from '../../view/Doc';
import { CommandPayloadMap } from '../types';
import { CommandBase, PostCommandContext } from '../base/CommandBase';
export declare class Enter extends CommandBase<'enter'> {
    constructor(doc: Doc, payload?: CommandPayloadMap['enter']);
    protected execute(): Promise<PostCommandContext>;
    private handleCollapse;
    private handleSelection;
}
